org.jbpm.services.task.commands

## Class GetTaskPropertyCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Object>
    - - org.jbpm.services.task.commands.GetTaskPropertyCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Object>, org.kie.api.command.Command<Object>

      public class GetTaskPropertyCommand
      extends UserGroupCallbackTaskCommand<Object>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskPropertyCommand()`
    `GetTaskPropertyCommand(long taskId, String userId, Integer property)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `execute(org.kie.internal.command.Context cntxt)`
    `Integer` | `getProperty()`
    `void` | `setProperty(Integer name)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskPropertyCommand

          public GetTaskPropertyCommand()

    - #### GetTaskPropertyCommand

          public GetTaskPropertyCommand(long taskId,
                                String userId,
                                Integer property)

  - ### Method Detail

    - #### getProperty

          public Integer getProperty()

    - #### setProperty

          public void setProperty(Integer name)

    - #### execute

          public Object execute(org.kie.internal.command.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<Object>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Object>`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.